Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class ClientOnlyScript

    java.lang.Object
      org.ajax4jsf.javascript.ScriptStringBase
          org.ajax4jsf.javascript.JSFunctionDefinition
              org.richfaces.renderkit.html.ValidatorScriptBase
                  org.richfaces.renderkit.html.ClientOnlyScript

All Implemented Interfaces:
  org.ajax4jsf.javascript.FunctionDefWithDependencies, org.ajax4jsf.javascript.ScriptString, org.ajax4jsf.javascript.ScriptWithDependencies, ComponentValidatorScript, org.richfaces.resource.ResourceLibrary

Direct Known Subclasses:
  ClientAndAjaxScript

    public class ClientOnlyScript

extends ValidatorScriptBase

Field Summary
`protected LibraryScriptFunction` | `converter`
`static org.richfaces.resource.ResourceKey` | `CSV_RESOURCE`
`protected com.google.common.collect.ImmutableList<? extends LibraryScriptFunction>` | `validators`

Fields inherited from class org.richfaces.renderkit.html.ValidatorScriptBase
`AJAX, AJAX_REF, CLIENT_ID, CLIENT_ID_REF, CONVERTER, CONVERTER_REF, CSV_NAMESPACE, DISABLE_AJAX, DISABLE_AJAX_REF, ELEMENT, ELEMENT_REF, EOL, EVENT, EVENT_REF, GET_VALUE_FUNCTION, MESSAGE, MESSAGE_REF, NULL_CONVERTER_SCRIPT, PARAMS, PARAMS_REF, SOURCE_ID, SOURCE_ID_REF, VALIDATE_FUNCTION, VALIDATE_FUNCTION_NAME, VALIDATORS, VALIDATORS_REF, VALUE_FUNCTION_NAME`

Fields inherited from class org.ajax4jsf.javascript.ScriptStringBase
`COLON, COMMA, DOT, EMPTY_STRING, EQUALS, FUNCTION, LEFT_CURLY_BRACKET, LEFT_ROUND_BRACKET, LEFT_SQUARE_BRACKET, RIGHT_CURLY_BRACKET, RIGHT_ROUND_BRACKET, RIGHT_SQUARE_BRACKET`

Constructor Summary
`ClientOnlyScript(LibraryScriptFunction clientSideConverterScript, java.util.Collection<? extends LibraryScriptFunction> validatorScripts)`

Method Summary
`protected void` | `appendAjaxParameter(java.lang.Appendable target)`
`protected void` | `appendConverter(java.lang.Appendable target, LibraryScriptFunction converter)`
`void` | `appendFunctionName(java.lang.Appendable target)`
`protected void` | `appendParameters(java.lang.Appendable target)`
`protected void` | `appendValidator(java.lang.Appendable target, LibraryScriptFunction validatorScript)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.Iterable<org.richfaces.resource.ResourceKey>` | `getResources()`
`int` | `hashCode()`

Methods inherited from class org.richfaces.renderkit.html.ValidatorScriptBase
`appendAjaxFunction, appendAjaxParameter, appendBody, appendValidatorCall, createCallScript`

Methods inherited from class org.ajax4jsf.javascript.JSFunctionDefinition
`addParameter, addToBody, appendScript, getName, setName`

Methods inherited from class org.ajax4jsf.javascript.ScriptStringBase
`appendScriptToStringBuilder, toScript, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.javascript.FunctionDefWithDependencies
`getName`

Methods inherited from interface org.ajax4jsf.javascript.ScriptString
`appendScript, appendScriptToStringBuilder, toScript`

Field Detail

### CSV_RESOURCE

    public static final org.richfaces.resource.ResourceKey CSV_RESOURCE

### converter

    protected final LibraryScriptFunction converter

### validators

    protected final com.google.common.collect.ImmutableList<? extends LibraryScriptFunction> validators

Constructor Detail

### ClientOnlyScript

    public ClientOnlyScript(LibraryScriptFunction clientSideConverterScript,
                            java.util.Collection<? extends LibraryScriptFunction> validatorScripts)

Method Detail

### getResources

    public java.lang.Iterable<org.richfaces.resource.ResourceKey> getResources()

### appendFunctionName

    public void appendFunctionName(java.lang.Appendable target)
                            throws java.io.IOException

  Overrides:
    `appendFunctionName` in class `org.ajax4jsf.javascript.JSFunctionDefinition`
  Throws:
    `java.io.IOException`

### appendParameters

    protected void appendParameters(java.lang.Appendable target)
                             throws java.io.IOException

  Overrides:
    `appendParameters` in class `ValidatorScriptBase`
  Throws:
    `java.io.IOException`

### appendValidator

    protected void appendValidator(java.lang.Appendable target,
                                   LibraryScriptFunction validatorScript)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### appendConverter

    protected void appendConverter(java.lang.Appendable target,
                                   LibraryScriptFunction converter)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### appendAjaxParameter

    protected void appendAjaxParameter(java.lang.Appendable target)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.